# MFLTGlyph Struct Reference
[FLT API]

Type of information about a glyph. More...

## Data Fields

int | c
unsigned int | code
int | from
int | to
int | xadv
int | yadv
unsigned | encoded: 1
unsigned | measured: 1
unsigned | adjusted: 1
unsigned | internal: 30
int | ascent
int | descent
int | lbearing
int | rbearing
int | xoff
int | yoff

## Detailed Description

Type of information about a glyph.

The type MFLTGlyph is the structure that contains information about a glyph.

## Field Documentation

int MFLTGlyph::c

Character code (Unicode) of the glyph. This is the sole member to be set before calling the functions mflt_find() and mflt_run().

unsigned int MFLTGlyph::code

Glyph ID of the glyph in the font.

int MFLTGlyph::from

Starting index of the run in MFLTGlyphString that is replaced by this glyph.

int MFLTGlyph::to

Ending index of the run in MFLTGlyphString that is replaced by this glyph.

int MFLTGlyph::xadv

Advance width for horizontal layout expressed in 26.6 fractional pixel format.

int MFLTGlyph::yadv

Advance height for vertical layout expressed in 26.6 fractional pixel format.

int MFLTGlyph::ascent

Ink metrics of the glyph expressed in 26.6 fractional pixel format.

int MFLTGlyph::descent

int MFLTGlyph::lbearing

int MFLTGlyph::rbearing

int MFLTGlyph::xoff

Horizontal and vertical adjustments for the glyph positioning expressed in 26.6 fractional pixel format.

int MFLTGlyph::yoff

unsigned MFLTGlyph::encoded

Flag to tell whether the member <code> has already been set to a glyph ID in the font.

unsigned MFLTGlyph::measured

Flag to tell if the metrics of the glyph (members <xadv> thru <rbearing>) are already calculated.

unsigned MFLTGlyph::adjusted

Flag to tell if the metrics of the glyph is adjusted, i.e. <xadv> or <yadv> is different from the normal size, or <xoff> or <yoff> is nonzero.

unsigned MFLTGlyph::internal

For m17n-lib's internal use only.

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines